Bug 1918194 - with sharded ingresscontrollers, all shards reload when any endpoint changes
Summary: with sharded ingresscontrollers, all shards reload when any endpoint changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.z
Assignee: Andrew McDermott
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1905748
Blocks: 1921252
TreeView+ depends on / blocked
 
Reported: 2021-01-20 09:18 UTC by OpenShift BugZilla Robot
Modified: 2021-02-08 13:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-08 13:51:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 247 0 None closed [release-4.6] Bug 1918194: Prevent unnecessary reloads in router shards 2021-02-09 17:23:57 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:43 UTC

Comment 1 Hongan Li 2021-01-26 03:14:56 UTC
verified with cluster launched by cluster-bot (launch openshift/router#247) and passed

$ oc get clusterversion
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.ci.test-2021-01-26-012650-ci-ln-27r6lp2   True        False         64m     Cluster version is 4.6.0-0.ci.test-2021-01-26-012650-ci-ln-27r6lp2

1. create route shards with two more custom ingresscontrollers, one is using namespace label and one is using route label.

spec:
  namespaceSelector:
    matchLabels:
      namespace: router-test

spec:
  routeSelector:
    matchLabels:
      route: router-test

2. create two projects, pods, services and routes, ns1 is labelled as "namespace=router-test", route2 in ns2 is labelled as route=router-test 

3. scale up/down the pods in ns2, no reload in the router pod with namespace label.

4. scale up/down the pods in ns1, no reload in the router pod with route label.

Comment 5 errata-xmlrpc 2021-02-08 13:51:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.